<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (11.0.8) on Wed Aug 12 16:32:57 CEST 2020 -->
<title>nl.naturalis.nba.api.model Class Hierarchy</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2020-08-12">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
<script type="text/javascript" src="../../../../../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../../../../../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../../../../../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../../../../../jquery/jquery-3.3.1.js"></script>
<script type="text/javascript" src="../../../../../jquery/jquery-migrate-3.0.1.js"></script>
<script type="text/javascript" src="../../../../../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="nl.naturalis.nba.api.model Class Hierarchy";
        }
    }
    catch(err) {
    }
//-->
var pathtoroot = "../../../../../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li>Class</li>
<li>Use</li>
<li class="navBarCell1Rev">Tree</li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<main role="main">
<div class="header">
<h1 class="title">Hierarchy For Package nl.naturalis.nba.api.model</h1>
<span class="packageHierarchyLabel">Package Hierarchies:</span>
<ul class="horizontal">
<li><a href="../../../../../overview-tree.html">All Packages</a></li>
</ul>
</div>
<div class="contentContainer">
<section role="region">
<h2 title="Class Hierarchy">Class Hierarchy</h2>
<ul>
<li class="circle">java.lang.<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Object.html?is-external=true" title="class or interface in java.lang" class="externalLink"><span class="typeNameLink">Object</span></a>
<ul>
<li class="circle">nl.naturalis.nba.api.model.<a href="Agent.html" title="class in nl.naturalis.nba.api.model"><span class="typeNameLink">Agent</span></a> (implements nl.naturalis.nba.api.model.<a href="INbaModelObject.html" title="interface in nl.naturalis.nba.api.model">INbaModelObject</a>)
<ul>
<li class="circle">nl.naturalis.nba.api.model.<a href="Organization.html" title="class in nl.naturalis.nba.api.model"><span class="typeNameLink">Organization</span></a></li>
<li class="circle">nl.naturalis.nba.api.model.<a href="Person.html" title="class in nl.naturalis.nba.api.model"><span class="typeNameLink">Person</span></a>
<ul>
<li class="circle">nl.naturalis.nba.api.model.<a href="Expert.html" title="class in nl.naturalis.nba.api.model"><span class="typeNameLink">Expert</span></a></li>
</ul>
</li>
</ul>
</li>
<li class="circle">nl.naturalis.nba.api.model.<a href="AssociatedTaxon.html" title="class in nl.naturalis.nba.api.model"><span class="typeNameLink">AssociatedTaxon</span></a> (implements nl.naturalis.nba.api.model.<a href="INbaModelObject.html" title="interface in nl.naturalis.nba.api.model">INbaModelObject</a>)</li>
<li class="circle">nl.naturalis.nba.api.model.<a href="BioStratigraphy.html" title="class in nl.naturalis.nba.api.model"><span class="typeNameLink">BioStratigraphy</span></a> (implements nl.naturalis.nba.api.model.<a href="INbaModelObject.html" title="interface in nl.naturalis.nba.api.model">INbaModelObject</a>)</li>
<li class="circle">nl.naturalis.nba.api.model.<a href="ChronoStratigraphy.html" title="class in nl.naturalis.nba.api.model"><span class="typeNameLink">ChronoStratigraphy</span></a> (implements nl.naturalis.nba.api.model.<a href="INbaModelObject.html" title="interface in nl.naturalis.nba.api.model">INbaModelObject</a>)</li>
<li class="circle">nl.naturalis.nba.api.model.<a href="DefaultClassification.html" title="class in nl.naturalis.nba.api.model"><span class="typeNameLink">DefaultClassification</span></a> (implements nl.naturalis.nba.api.model.<a href="INbaModelObject.html" title="interface in nl.naturalis.nba.api.model">INbaModelObject</a>)</li>
<li class="circle">nl.naturalis.nba.api.model.<a href="GatheringEvent.html" title="class in nl.naturalis.nba.api.model"><span class="typeNameLink">GatheringEvent</span></a> (implements nl.naturalis.nba.api.model.<a href="INbaModelObject.html" title="interface in nl.naturalis.nba.api.model">INbaModelObject</a>)
<ul>
<li class="circle">nl.naturalis.nba.api.model.<a href="MultiMediaGatheringEvent.html" title="class in nl.naturalis.nba.api.model"><span class="typeNameLink">MultiMediaGatheringEvent</span></a></li>
</ul>
</li>
<li class="circle">nl.naturalis.nba.api.model.<a href="GatheringSiteCoordinates.html" title="class in nl.naturalis.nba.api.model"><span class="typeNameLink">GatheringSiteCoordinates</span></a> (implements nl.naturalis.nba.api.model.<a href="INbaModelObject.html" title="interface in nl.naturalis.nba.api.model">INbaModelObject</a>)</li>
<li class="circle">nl.naturalis.nba.api.model.<a href="GeoPoint.html" title="class in nl.naturalis.nba.api.model"><span class="typeNameLink">GeoPoint</span></a> (implements nl.naturalis.nba.api.model.<a href="INbaModelObject.html" title="interface in nl.naturalis.nba.api.model">INbaModelObject</a>)</li>
<li class="circle">nl.naturalis.nba.api.model.<a href="Iptc4xmpExt.html" title="class in nl.naturalis.nba.api.model"><span class="typeNameLink">Iptc4xmpExt</span></a> (implements nl.naturalis.nba.api.model.<a href="INbaModelObject.html" title="interface in nl.naturalis.nba.api.model">INbaModelObject</a>)</li>
<li class="circle">nl.naturalis.nba.api.model.<a href="LithoStratigraphy.html" title="class in nl.naturalis.nba.api.model"><span class="typeNameLink">LithoStratigraphy</span></a> (implements nl.naturalis.nba.api.model.<a href="INbaModelObject.html" title="interface in nl.naturalis.nba.api.model">INbaModelObject</a>)</li>
<li class="circle">nl.naturalis.nba.api.model.<a href="Monomial.html" title="class in nl.naturalis.nba.api.model"><span class="typeNameLink">Monomial</span></a> (implements nl.naturalis.nba.api.model.<a href="INbaModelObject.html" title="interface in nl.naturalis.nba.api.model">INbaModelObject</a>)</li>
<li class="circle">nl.naturalis.nba.api.model.<a href="NamedArea.html" title="class in nl.naturalis.nba.api.model"><span class="typeNameLink">NamedArea</span></a> (implements nl.naturalis.nba.api.model.<a href="INbaModelObject.html" title="interface in nl.naturalis.nba.api.model">INbaModelObject</a>)</li>
<li class="circle">nl.naturalis.nba.api.model.<a href="NbaTraceableObject.html" title="class in nl.naturalis.nba.api.model"><span class="typeNameLink">NbaTraceableObject</span></a>
<ul>
<li class="circle">nl.naturalis.nba.api.model.<a href="GeoArea.html" title="class in nl.naturalis.nba.api.model"><span class="typeNameLink">GeoArea</span></a> (implements nl.naturalis.nba.api.model.<a href="IDocumentObject.html" title="interface in nl.naturalis.nba.api.model">IDocumentObject</a>)</li>
<li class="circle">nl.naturalis.nba.api.model.<a href="MultiMediaObject.html" title="class in nl.naturalis.nba.api.model"><span class="typeNameLink">MultiMediaObject</span></a> (implements nl.naturalis.nba.api.model.<a href="IDocumentObject.html" title="interface in nl.naturalis.nba.api.model">IDocumentObject</a>)
<ul>
<li class="circle">nl.naturalis.nba.api.model.<a href="SpecimenMultiMediaObject.html" title="class in nl.naturalis.nba.api.model"><span class="typeNameLink">SpecimenMultiMediaObject</span></a></li>
<li class="circle">nl.naturalis.nba.api.model.<a href="TaxonMultiMediaObject.html" title="class in nl.naturalis.nba.api.model"><span class="typeNameLink">TaxonMultiMediaObject</span></a></li>
</ul>
</li>
<li class="circle">nl.naturalis.nba.api.model.<a href="Specimen.html" title="class in nl.naturalis.nba.api.model"><span class="typeNameLink">Specimen</span></a> (implements nl.naturalis.nba.api.model.<a href="IDocumentObject.html" title="interface in nl.naturalis.nba.api.model">IDocumentObject</a>)</li>
<li class="circle">nl.naturalis.nba.api.model.<a href="Taxon.html" title="class in nl.naturalis.nba.api.model"><span class="typeNameLink">Taxon</span></a> (implements nl.naturalis.nba.api.model.<a href="IDocumentObject.html" title="interface in nl.naturalis.nba.api.model">IDocumentObject</a>)</li>
</ul>
</li>
<li class="circle">nl.naturalis.nba.api.model.<a href="Reference.html" title="class in nl.naturalis.nba.api.model"><span class="typeNameLink">Reference</span></a> (implements nl.naturalis.nba.api.model.<a href="INbaModelObject.html" title="interface in nl.naturalis.nba.api.model">INbaModelObject</a>)</li>
<li class="circle">nl.naturalis.nba.api.model.<a href="ScientificName.html" title="class in nl.naturalis.nba.api.model"><span class="typeNameLink">ScientificName</span></a> (implements nl.naturalis.nba.api.model.<a href="INbaModelObject.html" title="interface in nl.naturalis.nba.api.model">INbaModelObject</a>)</li>
<li class="circle">nl.naturalis.nba.api.model.<a href="ScientificNameGroup.html" title="class in nl.naturalis.nba.api.model"><span class="typeNameLink">ScientificNameGroup</span></a></li>
<li class="circle">nl.naturalis.nba.api.model.<a href="ServiceAccessPoint.html" title="class in nl.naturalis.nba.api.model"><span class="typeNameLink">ServiceAccessPoint</span></a> (implements nl.naturalis.nba.api.model.<a href="INbaModelObject.html" title="interface in nl.naturalis.nba.api.model">INbaModelObject</a>)</li>
<li class="circle">nl.naturalis.nba.api.model.<a href="SourceSystem.html" title="class in nl.naturalis.nba.api.model"><span class="typeNameLink">SourceSystem</span></a> (implements nl.naturalis.nba.api.model.<a href="INbaModelObject.html" title="interface in nl.naturalis.nba.api.model">INbaModelObject</a>)</li>
<li class="circle">nl.naturalis.nba.api.model.<a href="Synonym.html" title="class in nl.naturalis.nba.api.model"><span class="typeNameLink">Synonym</span></a> (implements nl.naturalis.nba.api.model.<a href="INbaModelObject.html" title="interface in nl.naturalis.nba.api.model">INbaModelObject</a>)</li>
<li class="circle">nl.naturalis.nba.api.model.<a href="TaxonDescription.html" title="class in nl.naturalis.nba.api.model"><span class="typeNameLink">TaxonDescription</span></a> (implements nl.naturalis.nba.api.model.<a href="INbaModelObject.html" title="interface in nl.naturalis.nba.api.model">INbaModelObject</a>)</li>
<li class="circle">nl.naturalis.nba.api.model.<a href="TaxonomicEnrichment.html" title="class in nl.naturalis.nba.api.model"><span class="typeNameLink">TaxonomicEnrichment</span></a> (implements nl.naturalis.nba.api.model.<a href="INbaModelObject.html" title="interface in nl.naturalis.nba.api.model">INbaModelObject</a>)</li>
<li class="circle">nl.naturalis.nba.api.model.<a href="TaxonomicIdentification.html" title="class in nl.naturalis.nba.api.model"><span class="typeNameLink">TaxonomicIdentification</span></a> (implements nl.naturalis.nba.api.model.<a href="INbaModelObject.html" title="interface in nl.naturalis.nba.api.model">INbaModelObject</a>)
<ul>
<li class="circle">nl.naturalis.nba.api.model.<a href="MultiMediaContentIdentification.html" title="class in nl.naturalis.nba.api.model"><span class="typeNameLink">MultiMediaContentIdentification</span></a></li>
<li class="circle">nl.naturalis.nba.api.model.<a href="SpecimenIdentification.html" title="class in nl.naturalis.nba.api.model"><span class="typeNameLink">SpecimenIdentification</span></a></li>
</ul>
</li>
<li class="circle">nl.naturalis.nba.api.model.<a href="VernacularName.html" title="class in nl.naturalis.nba.api.model"><span class="typeNameLink">VernacularName</span></a> (implements nl.naturalis.nba.api.model.<a href="INbaModelObject.html" title="interface in nl.naturalis.nba.api.model">INbaModelObject</a>)</li>
</ul>
</li>
</ul>
</section>
<section role="region">
<h2 title="Interface Hierarchy">Interface Hierarchy</h2>
<ul>
<li class="circle">nl.naturalis.nba.api.model.<a href="INbaModelObject.html" title="interface in nl.naturalis.nba.api.model"><span class="typeNameLink">INbaModelObject</span></a>
<ul>
<li class="circle">nl.naturalis.nba.api.model.<a href="IDocumentObject.html" title="interface in nl.naturalis.nba.api.model"><span class="typeNameLink">IDocumentObject</span></a></li>
</ul>
</li>
</ul>
</section>
<section role="region">
<h2 title="Enum Hierarchy">Enum Hierarchy</h2>
<ul>
<li class="circle">java.lang.<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Object.html?is-external=true" title="class or interface in java.lang" class="externalLink"><span class="typeNameLink">Object</span></a>
<ul>
<li class="circle">java.lang.<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Enum.html?is-external=true" title="class or interface in java.lang" class="externalLink"><span class="typeNameLink">Enum</span></a>&lt;E&gt; (implements java.lang.<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Comparable.html?is-external=true" title="class or interface in java.lang" class="externalLink">Comparable</a>&lt;T&gt;, java.io.<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/io/Serializable.html?is-external=true" title="class or interface in java.io" class="externalLink">Serializable</a>)
<ul>
<li class="circle">nl.naturalis.nba.api.model.<a href="AreaClass.html" title="enum in nl.naturalis.nba.api.model"><span class="typeNameLink">AreaClass</span></a> (implements nl.naturalis.nba.api.model.<a href="INbaModelObject.html" title="interface in nl.naturalis.nba.api.model">INbaModelObject</a>)</li>
<li class="circle">nl.naturalis.nba.api.model.<a href="License.html" title="enum in nl.naturalis.nba.api.model"><span class="typeNameLink">License</span></a> (implements nl.naturalis.nba.api.model.<a href="INbaModelObject.html" title="interface in nl.naturalis.nba.api.model">INbaModelObject</a>)</li>
<li class="circle">nl.naturalis.nba.api.model.<a href="LicenseType.html" title="enum in nl.naturalis.nba.api.model"><span class="typeNameLink">LicenseType</span></a> (implements nl.naturalis.nba.api.model.<a href="INbaModelObject.html" title="interface in nl.naturalis.nba.api.model">INbaModelObject</a>)</li>
<li class="circle">nl.naturalis.nba.api.model.<a href="ResourceType.html" title="enum in nl.naturalis.nba.api.model"><span class="typeNameLink">ResourceType</span></a> (implements nl.naturalis.nba.api.model.<a href="INbaModelObject.html" title="interface in nl.naturalis.nba.api.model">INbaModelObject</a>)</li>
<li class="circle">nl.naturalis.nba.api.model.<a href="Sex.html" title="enum in nl.naturalis.nba.api.model"><span class="typeNameLink">Sex</span></a> (implements nl.naturalis.nba.api.model.<a href="INbaModelObject.html" title="interface in nl.naturalis.nba.api.model">INbaModelObject</a>)</li>
<li class="circle">nl.naturalis.nba.api.model.<a href="SpatialDatum.html" title="enum in nl.naturalis.nba.api.model"><span class="typeNameLink">SpatialDatum</span></a> (implements nl.naturalis.nba.api.model.<a href="INbaModelObject.html" title="interface in nl.naturalis.nba.api.model">INbaModelObject</a>)</li>
<li class="circle">nl.naturalis.nba.api.model.<a href="SpecimenTypeStatus.html" title="enum in nl.naturalis.nba.api.model"><span class="typeNameLink">SpecimenTypeStatus</span></a> (implements nl.naturalis.nba.api.model.<a href="INbaModelObject.html" title="interface in nl.naturalis.nba.api.model">INbaModelObject</a>)</li>
<li class="circle">nl.naturalis.nba.api.model.<a href="TaxonomicRank.html" title="enum in nl.naturalis.nba.api.model"><span class="typeNameLink">TaxonomicRank</span></a> (implements nl.naturalis.nba.api.model.<a href="INbaModelObject.html" title="interface in nl.naturalis.nba.api.model">INbaModelObject</a>)</li>
<li class="circle">nl.naturalis.nba.api.model.<a href="TaxonomicStatus.html" title="enum in nl.naturalis.nba.api.model"><span class="typeNameLink">TaxonomicStatus</span></a> (implements nl.naturalis.nba.api.model.<a href="INbaModelObject.html" title="interface in nl.naturalis.nba.api.model">INbaModelObject</a>)</li>
<li class="circle">nl.naturalis.nba.api.model.<a href="TaxonRelationType.html" title="enum in nl.naturalis.nba.api.model"><span class="typeNameLink">TaxonRelationType</span></a> (implements nl.naturalis.nba.api.model.<a href="INbaModelObject.html" title="interface in nl.naturalis.nba.api.model">INbaModelObject</a>)</li>
</ul>
</li>
</ul>
</li>
</ul>
</section>
</div>
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li>Class</li>
<li>Use</li>
<li class="navBarCell1Rev">Tree</li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
